/* 
Theme Name: SecondhandGuide
Theme URI: 
Description: Ein Child-Theme für Divi 
Author: Stefan Seidner-Britting
Author URI: https://interspirit.de
Template: Divi 
Version: 0.2
*/

/******************* Fonts *******************/

body {
	font-weight: 400;
}


/******************* Header *******************/


/******************* Content *******************/

/* Überschriften Abstand */
.et_pb_text_inner h1 {
    padding-bottom: 30px;
}
.entry-content h2 {
    padding: 30px 0;
}
body:not(.home) .entry-content h3 { /* Auf Home-Seite sind die Läden-Überschriften h3 und diese sollen kein Padding nach oben und unten haben */
    padding: 25px 0;
}
h1, h2, h3, h4, h5, h6 {
    letter-spacing: 1.5px;
    line-height: 1.3em;
}


/* Unterstrich unter Überschriften */
/* Auf der Home-Seite sind die Läden-Überschriften (in der Loop-Spalte bewusst h3, weil "Secondhand-Läden in Stadt" h2 ist). Auf den Städteseiten sind die Läden-Überschriften h2. */
h1::after, h2::after, .home h3::after {
    content: ""; 
    display: block; 
    width: 70px;
    padding-top: 20px;
    border-bottom: 2px solid #e3000b;
}
.et_pb_text_align_center h1::after, .et_pb_text_align_center h2::after {
  margin: 0 auto;
}

/* Automatische Silbentrennung von Überschriften in Mobile. */
@media only screen and (max-width: 380px) {
	h1, h2, h3, h4, h5, h6 {
		hyphens: auto;
		overflow-wrap: break-word;
	}
}

/* Auch der letzte p soll Abstand nach unten haben 
p:not(.has-background):last-of-type {
  padding-bottom: 1em;
}
*/

/* Aufzählungen */
.entry-content ul li, .entry-content ol li {
    padding-bottom: 13px;
}
.entry-content ol {
  list-style-position: outside;
  padding-left: 20px;
  padding-top: 20px;
  line-height: 1.8em;
}

/* Unterstreiche Links im Contentbereich, aber nicht bei Buttons. */
.entry-content a {
  text-decoration: underline;
}
a.et_pb_button {
  text-decoration: none;
}


/******************* Ab hier neu für SecondhandGuide *******************/

/* Städte-Unterseiten: Farben der Spalten abhängig von der Stadt setzen.
Die Farben werden über eine Variable column-bg gesetzt, damit wir nicht 3 Hover-Farben definieren müssen, sondern einfach mit color-mix arbeiten können (color-mix erkennt currentColor nicht, deswegen hat Gemini diesen funktionierenden Workaround vorgeschlagen).
Diese 3 Farbdefinitionen sind auch auf der Startseite in den 3 Loop-Spalten für Nürnberg, Fürth und Erlangen definiert, sodass für diese auch die Hover-Regel gilt.  */
.term-nuernberg.et-db #et-boc .et-l .preset--module--divi-column--0lqkqd0bxs {
	--column-bg: #fce7dd;
  background-color: var(--column-bg);
}
.term-fuerth.et-db #et-boc .et-l .preset--module--divi-column--0lqkqd0bxs {
    --column-bg: #e6e9f5;
    background-color: var(--column-bg);
}
.term-erlangen.et-db #et-boc .et-l .preset--module--divi-column--0lqkqd0bxs {
    --column-bg: #fef7e6;
    background-color: var(--column-bg);
}

/* Bei Hover Schwarz mitreinmischen.
Gilt auch für Startseite (siehe Kommentar weiter oben). */
.preset--module--divi-column--0lqkqd0bxs:hover {
	background-color: color-mix(in srgb, var(--column-bg), black 5%) !important;
  transition: background-color 0.3s ease; /* Macht das Aufhellen geschmeidiger */
}



/******************* Sidebar ausblenden *******************/

#main-content .container:before {
	background: none;
}
#sidebar {
	display:none;
}
@media (min-width: 981px){
	#left-area {
		width: 100%;
		float: none !important;
	}
}



/******************* Footer *******************/


